PANIC(9)

NAME
panic - Bring down system on fatal error

SYNOPSIS
#include <sys/types.h>
#include <sys/systm.h>
void
panic(const char *fmt, ...);

DESCRIPTION
The panic() function makes the OpenBSD system terminate. The message fmt is a printf(9) style format string. The message is printed to the console and the location pointed to by the global char pointer panicstr is set to the address of the message text for retrieval from the OS core dump.

If the kernel debugger is installed, control is passed to it. Otherwise, an attempt is made to save a core dump of the OS to a configured dump device.

If panic() is called twice (from the disk sync routines, for example) the system is rebooted without syncing the disks.

RETURN VALUES
The panic() function does not return.

SEE ALSO
printf(3), boot(9), printf(9)